
/* Initng, a next generation sysvinit replacement.
 * Copyright (C) 2005 Jimmy Wennlund <jimmy.wennlund@gmail.com>
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General
 * Public License along with this library; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place, Suite 330,
 * Boston, MA 02111-1307, USA.
 */

#ifndef ACTIVE_STATUS_H
#define ACTIVE_STATUS_H

/* Warning, change number order breaks reloading! */
typedef enum
{
    NONE = 0,
    LOADING = 1,
    STARTING = 2,
    WAITING_FOR_START_DEP = 3,
    START_DEP_MET = 4,
    FAIL_STARTING = 5,
    START_DEP_FAILED = 6,
    RUNNING = 9,
    DONE = 10,
    STOPPING = 11,
    WAITING_FOR_STOP_DEP = 12,
    STOP_DEP_MET = 13,
    STOP_DEP_FAILED = 14,
    FAIL_STOPPING = 15,
    STOPPED = 18,
    STOP_MARKED = 19,
    FREEING = 20,
} e_a_status;

const char *active_db_get_status_string(e_a_status status);

#endif
