/* Initng, a next generation sysvinit replacement.
 * Copyright (C) 2005 Jimmy Wennlund <jimmy.wennlund@gmail.com>
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General
 * Public License along with this library; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place, Suite 330,
 * Boston, MA 02111-1307, USA.
 */

#ifndef INITNG_PLUGIN_CALLERS
#define INITNG_PLUGIN_CALLERS
#include "initng_service_cache.h"
#include "initng_active_db.h"
#include "initng_global.h"
#include "initng_system_states.h"
#include <stdarg.h>

int initng_plugin_handle_killed(active_h * s, process_h * p);
void initng_compensate_time_call(int t);
void initng_plugin_timers(void);

void initng_load_module_system_changed(h_sys_state state);
#endif
